#ifndef MSP_DATAFILE_OUTPUT_H_
#define MSP_DATAFILE_OUTPUT_H_

#include <msp/core/noncopyable.h>
#include <msp/io/base.h>

namespace Msp {
namespace DataFile {

class Output: private NonCopyable
{
private:
	IO::Base *out = nullptr;
	IO::Base *compressed = nullptr;

public:
	Output(IO::Base &);
	~Output();

	void set_compressed();

	unsigned put(char);
	unsigned write(const std::string &);
};

} // namespace DataFile
} // namespace Msp

#endif
