#ifndef MSP_DATAFILE_TEXTWRITER_H_
#define MSP_DATAFILE_TEXTWRITER_H_

#include <msp/strings/fmt.h>
#include "writermode.h"

namespace Msp {
namespace DataFile {

class TextWriter: public WriterMode
{
private:
	Fmt float_format;

public:
	TextWriter(Output &o);

	void set_float_precision(unsigned) override;
	void write(const Statement &st) override;
private:
	void write_(const Statement &st, unsigned);
};

} // namespace DataFile
} // namespace Msp

#endif
